Wed, 01 Feb 2023 10:36:52 UTC | login

Information for RPM libxcrypt-4.4.18-3.el9.ppc64le.rpm

ID309109
Namelibxcrypt
Version4.4.18
Release3.el9
Epoch
Archppc64le
SummaryExtended crypt library for descrypt, md5crypt, bcrypt, and others
Descriptionlibxcrypt is a modern library for one-way hashing of passwords. It supports a wide variety of both modern and historical hashing methods: yescrypt, gost-yescrypt, scrypt, bcrypt, sha512crypt, sha256crypt, md5crypt, SunMD5, sha1crypt, NT, bsdicrypt, bigcrypt, and descrypt. It provides the traditional Unix crypt and crypt_r interfaces, as well as a set of extended interfaces pioneered by Openwall Linux, crypt_rn, crypt_ra, crypt_gensalt, crypt_gensalt_rn, and crypt_gensalt_ra. libxcrypt is intended to be used by login(1), passwd(1), and other similar programs; that is, to hash a small number of passwords during an interactive authentication dialogue with a human. It is not suitable for use in bulk password-cracking applications, or in any other situation where speed is more important than careful handling of sensitive data. However, it is intended to be fast and lightweight enough for use in servers that must field thousands of login attempts per minute. This version of the library does not provide the legacy API functions that have been provided by glibc's libcrypt.so.1.
Build Time2021-08-10 00:29:16 GMT
Size127.78 KB
9d41f604fbb98fb3fd1bbb22547db9a0
LicenseLGPLv2+ and BSD and Public Domain
Buildrootc9s-build-side-264-stack-gate-161601-24877
Provides
libcrypt = 2.27
libcrypt(ppc-64) = 2.27
libcrypt-nss = 2.27
libcrypt-nss(ppc-64) = 2.27
libcrypt.so.2()(64bit)
libcrypt.so.2(XCRYPT_2.0)(64bit)
libcrypt.so.2(XCRYPT_4.3)(64bit)
libcrypt.so.2(XCRYPT_4.4)(64bit)
libxcrypt = 4.4.18-3.el9
libxcrypt(ppc-64) = 4.4.18-3.el9
libxcrypt-common = 4.4.18-3.el9
Obsoletes
libcrypt < 2.27
libcrypt-nss < 2.27
libxcrypt-common < 4.3.3-4
Conflicts No Conflicts
Requires
glibc(ppc-64) >= 2.27
libc.so.6()(64bit)
libc.so.6(GLIBC_2.17)(64bit)
libc.so.6(GLIBC_2.25)(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsZstd) <= 5.4.18-1
rtld(GNU_HASH)
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 18 of 18
Name ascending sort Size
/usr/lib/.build-id0.00 B
/usr/lib/.build-id/d80.00 B
/usr/lib/.build-id/d8/3b90525e7a965683aad91d3935759e2e18575139.00 B
/usr/lib64/fipscheck0.00 B
/usr/lib64/fipscheck/libcrypt.so.2.0.0.hmac65.00 B
/usr/lib64/fipscheck/libcrypt.so.2.hmac22.00 B
/usr/lib64/libcrypt.so.217.00 B
/usr/lib64/libcrypt.so.2.0.0260.34 KB
/usr/share/doc/libxcrypt0.00 B
/usr/share/doc/libxcrypt/NEWS19.08 KB
/usr/share/doc/libxcrypt/README9.38 KB
/usr/share/doc/libxcrypt/README.rhel599.00 B
/usr/share/doc/libxcrypt/THANKS596.00 B
/usr/share/licenses/libxcrypt0.00 B
/usr/share/licenses/libxcrypt/AUTHORS1.81 KB
/usr/share/licenses/libxcrypt/COPYING.LIB25.91 KB
/usr/share/licenses/libxcrypt/LICENSING5.40 KB
/usr/share/man/man5/crypt.5.gz4.38 KB
Component of
Page:
1 through 50 of 24328 >>>
Buildroot descending sort Created State
c9s-build-310850-206423 2023-02-01 10:19:53 expired
c9s-build-310847-206423 2023-02-01 09:34:13 expired
c9s-build-310839-206144 2023-02-01 04:42:30 expired
c9s-build-310837-206144 2023-02-01 04:40:55 expired
c9s-build-310836-206051 2023-02-01 04:08:46 expired
c9s-build-310834-205958 2023-02-01 02:50:49 expired
c9s-build-310830-205958 2023-02-01 02:48:35 expired
c9s-build-310825-205958 2023-02-01 02:37:12 expired
c9s-build-310822-205958 2023-02-01 02:11:22 expired
c9s-build-310819-205958 2023-02-01 02:10:33 expired
c9s-build-310815-205865 2023-01-31 23:24:24 expired
c9s-build-310809-205772 2023-01-31 22:36:50 expired
c9s-pesign-build-310804-205773 2023-01-31 21:43:25 expired
c9s-pesign-build-310799-205688 2023-01-31 20:20:30 expired
c9s-build-310788-205687 2023-01-31 19:00:53 expired
c9s-build-310787-205687 2023-01-31 19:00:51 expired
c9s-build-310781-205687 2023-01-31 19:00:19 expired
c9s-build-310779-205687 2023-01-31 18:30:19 expired
c9s-build-310778-205687 2023-01-31 18:29:49 expired
c9s-build-310776-205567 2023-01-31 17:57:26 expired
c9s-build-310771-205567 2023-01-31 17:40:38 expired
c9s-build-310770-205567 2023-01-31 17:39:50 expired
c9s-build-310762-205474 2023-01-31 16:59:44 expired
c9s-build-310758-205474 2023-01-31 16:57:37 expired
c9s-build-310752-205385 2023-01-31 16:27:48 expired
c9s-build-310749-205385 2023-01-31 16:23:36 expired
c9s-build-310743-205385 2023-01-31 16:22:22 expired
c9s-build-310737-205385 2023-01-31 16:10:52 expired
c9s-build-310734-205385 2023-01-31 16:09:12 expired
c9s-build-310728-205385 2023-01-31 16:08:08 expired
c9s-build-310724-205385 2023-01-31 15:56:45 expired
c9s-build-310717-205385 2023-01-31 15:46:11 expired
c9s-build-310711-205385 2023-01-31 15:21:14 expired
c9s-build-310709-205289 2023-01-31 15:13:47 expired
c9s-build-310707-205289 2023-01-31 15:13:07 expired
c9s-build-310703-205289 2023-01-31 15:11:28 expired
c9s-build-310701-205289 2023-01-31 15:05:08 expired
c9s-pesign-build-310695-205290 2023-01-31 14:49:40 expired
c9s-pesign-build-310694-205290 2023-01-31 14:49:38 expired
c9s-build-310689-205289 2023-01-31 14:45:11 expired
c9s-build-310680-205197 2023-01-31 14:15:02 expired
c9s-build-310674-205108 2023-01-31 14:11:48 expired
c9s-build-310668-205108 2023-01-31 13:51:18 expired
c9s-build-310667-205108 2023-01-31 13:50:30 expired
c9s-build-310662-205108 2023-01-31 13:44:21 expired
c9s-build-310656-205108 2023-01-31 13:33:00 expired
c9s-build-310655-205108 2023-01-31 13:32:17 expired
c9s-build-310650-205108 2023-01-31 13:24:21 expired
c9s-build-310645-205108 2023-01-31 13:20:43 expired
c9s-build-310642-205099 2023-01-31 13:17:59 expired